Bug 56752 - [0a5c:5801] Broadcom Fingerprint reader not supported
Summary: [0a5c:5801] Broadcom Fingerprint reader not supported
Status: RESOLVED WONTFIX
Alias: None
Product: libfprint
Classification: Unclassified
Component: libfprint (show other bugs)
Version: unspecified
Hardware: All Linux (All)
: high enhancement
Assignee: libfprint-bugs
QA Contact:
URL: https://bugs.launchpad.net/libfprint/...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-04 20:29 UTC by spectre3brad
Modified: 2019-01-08 15:39 UTC (History)
11 users (show)

See Also:
i915 platform:
i915 features:


Attachments
trace of the USB sniff (2.38 KB, text/plain)
2012-11-30 04:05 UTC, nesthib
Details
Log of a fingerprint enrollment process (created by Device Monitoring Studio) (2.90 MB, text/plain)
2014-01-28 20:43 UTC, Géza Búza
Details
Device Descriptor (612 bytes, text/plain)
2014-01-28 20:44 UTC, Géza Búza
Details
Log of a fingerprint delete process (created by Device Monitoring Studio) (1.55 MB, text/plain)
2014-01-28 20:51 UTC, Géza Búza
Details

Note You need to log in before you can comment on or make changes to this bug.
Description spectre3brad 2012-11-04 20:29:51 UTC
Hello, I signal that the chip BCM5880 Broadcom supplied on multiple PCs in my case with the Dell Latitude E6530 and Ubuntu currently unusable because no driver provided by Broadcom for Linux. At the request of a developer Launchpad Linux / Ubuntu so I have to open an thread on the subject to try to get things done.

I invite you to come and read a first time in this thread to see what has been done on our side:

Bug Launchpad: https://bugs.launchpad.net/libfprint/+bug/602071

Thanking you in advance for your help.
Comment 1 Vasily Khoruzhick 2012-11-06 09:16:47 UTC
Is it available as standalone USB device?
Comment 2 Vasily Khoruzhick 2012-11-06 09:26:46 UTC
Can you provide logs produced by USBSniff? See http://www.freedesktop.org/wiki/Software/fprint/libfprint/USB%20sniffing
Comment 3 spectre3brad 2012-11-06 22:29:28 UTC
Hello,

for the procedure it seems that we must activate and deactivate and then reactivate the USB concerned?

Only the integrated fingerprint and direcement the laptop so no physical access to turn on and turn off the USB bus concerned.

How to proceed?

Thank you.
Comment 4 Vasily Khoruzhick 2012-11-07 07:13:14 UTC
You can disable/enable it in device manager.
Comment 5 nesthib 2012-11-30 04:05:12 UTC
Created attachment 70811 [details]
trace of the USB sniff

obtained with usbmon watching /sys/kernel/debug/usb/usbmon/2u
Comment 6 nesthib 2012-11-30 04:06:26 UTC
Above is a trace obtained using usbmon.
I restarted the USB device using:
http://www.roman10.net/how-to-reset-usb-device-in-linux

Let me know if I can provide more information

NB. lsusb gives:
Bus 002 Device 005: ID 0a5c:5801 Broadcom Corp. BCM5880 Secure Applications Processor with fingerprint swipe sensor
Comment 7 Leho Kraav (:macmaN :lkraav) 2013-11-25 21:33:25 UTC
Another guy that would be interested in getting this working on multiple laptops
Comment 8 Géza Búza 2014-01-28 20:43:41 UTC
Created attachment 92952 [details]
Log of a fingerprint enrollment process (created by Device Monitoring Studio)

I have a Dell M4700 with Broadcom's BCM5880 swipe fingerpint sensor. I am joining to the folks would like to have it on Linux.
I have uploaded a fresh log, find it attached.
Comment 9 Géza Búza 2014-01-28 20:44:40 UTC
Created attachment 92953 [details]
Device Descriptor
Comment 10 Géza Búza 2014-01-28 20:51:08 UTC
Created attachment 92955 [details]
Log of a fingerprint delete process (created by Device Monitoring Studio)
Comment 11 Vasily Khoruzhick 2014-01-30 05:58:06 UTC
Guys, I must admit that it's close to impossible to reverse device protocol without device available. So unless there's a standalone USB scanner with broadcom sensor available I won't work on its support for libfprint. So reversing protocol and implementing libfprint driver is up to you.

Please reopen bug when patch with driver for libfprint will be ready.
Comment 12 Tristan Ross 2019-01-08 15:39:07 UTC
There should be a way to write the driver, the Latitude E6420 has the sensor built in and if you do some hardware hacking then you can monitor the chip's io.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.